# This is the main Mate version used for BuildRequires
# Only change when updating minor version, i.e. 1.22 to 1.24
%define mate_version 1.24.0

%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           mate-power-manager
Version:        1.28.1
Release:        %mkrel 1
Summary:        MATE Power Manager
License:        GPLv2+
Group:          Graphical desktop/MATE
URL:            http://www.mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:        mate-power-manager.desktop
BuildRequires: itstool
BuildRequires: mate-common >= %{mate_version}
BuildRequires: pkgconfig(cairo) >= 1.0.0
BuildRequires: pkgconfig(dbus-glib-1) >= 0.70
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: pkgconfig(libwnck-3.0)
BuildRequires: pkgconfig(libnotify) >= 0.7.0
BuildRequires: pkgconfig(libmatepanelapplet-4.0) >= 1.17.0
BuildRequires: pkgconfig(gnome-keyring-1) >= 3.0.0
BuildRequires: pkgconfig(upower-glib) >= 0.9.8
BuildRequires: pkgconfig(mate-desktop-2.0) >= %{mate_version}
BuildRequires: yelp-tools
BuildRequires: pkgconfig(xrandr) >= 1.3.0
BuildRequires: pkgconfig(glib-2.0) >= 2.50.0
BuildRequires: pkgconfig(xproto) >= 7.0.15
BuildRequires: autoconf-archive

Requires:	upower
Requires:	dconf
Requires:   glibc >= 2.33

%description
MATE Power Manager uses the information and facilities provided by UPower
displaying icons and handling user callbacks in an interactive MATE session.

%package doc
Summary:  Documentation support for %{name}
Group:    Documentation
Requires: %{name} = %{version}-%{release}

%description doc
This package provides help files for %{name}.


%prep
%setup -q

%build
./autogen.sh
%configure2_5x --disable-schemas-compile


sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool

%make_build

%install
rm -rf %buildroot
%make_install

rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

#fix to only start in MATE
install -m 0644 %SOURCE1 %buildroot/%{_sysconfdir}/xdg/autostart/mate-power-manager.desktop

%find_lang %{name} --with-gnome --all-name

%files  -f %{name}.lang
%{_mandir}/man1/mate-power-*.*
%{_bindir}/mate-power-manager
%{_bindir}/mate-power-preferences
%{_bindir}/mate-power-statistics
%{_sbindir}/mate-power-backlight-helper
%{_datadir}/applications/mate-*.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/mate-power-manager/
%{_datadir}/icons/hicolor/*/apps/mate-*.*
%{_datadir}/polkit-1/actions/org.mate.power.policy
%{_datadir}/mate-panel/applets/org.mate.BrightnessApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.InhibitApplet.mate-panel-applet
%{_datadir}/glib-2.0/schemas/org.mate.power-manager.gschema.xml
%{_sysconfdir}/xdg/autostart/mate-power-manager.desktop
%{_libexecdir}/mate-brightness-applet
%{_libexecdir}/mate-inhibit-applet

%files doc
%{_datadir}/help


%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%changelog
* Mon Feb 26 2024 tex - 1.28.1-1pclos2024
- new version

* Thu Feb 22 2024 tex - 1.28.0-1pclos2024
- new version

* Fri May 12 2023 tex - 1.26.1-1pclos2023
- new version

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Tue Apr 06 2021 tex - 1.24.3-1pclos2021
- new version

* Tue Mar 16 2021 tex - 1.23.0-2pclos2021
- fix mate power manager to only start in MATE

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
